Bug 152169 - [patch] upgrade of security/ossec-hids-server to last release (2.5.1)
Summary: [patch] upgrade of security/ossec-hids-server to last release (2.5.1)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sahil Tandon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-12 15:10 UTC by laza_bsd
Modified: 2010-12-14 00:50 UTC (History)
0 users

See Also:


Attachments
file.diff (2.33 KB, patch)
2010-11-12 15:10 UTC, laza_bsd
no flags Details | Diff
patch_ossec_2.5.1.txt (1.74 KB, text/plain)
2010-12-13 16:22 UTC, laza_bsd
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description laza_bsd 2010-11-12 15:10:09 UTC
upgrade to last released version: 2.5.1
http://www.ossec.net/main/ossec-v25-released

Fix: apply the following patch.

Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2010-11-12 15:10:12 UTC
Maintainer of security/ossec-hids-server,

Please note that PR ports/152169 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/152169

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-11-12 15:10:14 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Sahil Tandon freebsd_committer 2010-11-13 16:00:03 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sahil

Take.
Comment 4 wenheping 2010-12-13 00:19:58 UTC
Hi,

   The build failed on my box, would you check it again and fix the build ?

wen



Here is the build log:

building ossec-hids-server-2.5.1 in directory /usr/local/tinderbox/9.0-FreeBSD
build started at Mon Dec 13 00:15:06 UTC 2010
port directory: /usr/ports/security/ossec-hids-server
building for:  9.0-CURRENT i386
maintained by: valerio.daelli@gmail.com
Makefile ident: $FreeBSD: ports/security/ossec-hids-server/Makefile,v
1.11 2010/07/22 13:26:53 wxs Exp $
prefixes: LOCALBASE=usr/local PREFIX=/usr/local
Begin Configuration:
---Begin Environment---
ARCH=i386
PACKAGE_BUILDING=1
USER=root
CCACHE_DIR=
BRANCH=CURRENT
CCACHE_NOLINK=1
HOST_WORKDIR=
BATCH=1
OLDPWD=/
HOME=/root
PKGZIPCMD=bzip2
HAVE_MOTIF=1
FTP_TIMEOUT=900
HTTP_TIMEOUT=900
defaultUpdateHost=cvsup.FreeBSDChina.org
pb=/usr/local/tinderbox
DISTFILE_CACHE=/usr/ports/distfiles
OSREL=9.0
defaultUpdateType=CSUP
PYTHON_DEFAULT_VERSION=python2.7
TINDERD_LOGFILE=/dev/null
PORTOBJFORMAT=elf
WRKDIRPREFIX=/work
DISTDIR=/tmp/distfiles
DISTCACHE=/distcache
CCACHE_LOGFILE=
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin
PACKAGES=/tmp/packages
TIMEOUT=7200
PKGSUFFIX=.tbz
OSVERSION=900021
OPTIONS_ENABLED=0
__DSVERSION__=3.2
TINDERD_SLEEPTIME=120
UNAME_n=tinderbox.host
__MKLVL__=1
CCACHE_JAIL=0
LOCALBASE=/usr/local
CCACHE_MAX_SIZE=1G
DISTFILE_URI=
X_WINDOW_SYSTEM=xorg
MASTER_SITE_OVERRIDE=file:///distcache/${DIST_SUBDIR}/
OPTIONS_DIR=
UNAME_r=9.0-CURRENT
USA_RESIDENT=YES
UNAME_s=FreeBSD
PARALLEL_PACKAGE_BUILD=1
PWD=/usr/ports/security/ossec-hids-server
UNAME_v=FreeBSD 9.0-CURRENT #0: Mon Dec 13 08:13:41 CST 2010
root@tinderbox.host:/usr/src/sys/magic/kernel/path
FTP_PASSIVE_MODE=yes
CCACHE_ENABLED=0
INDEXFILE=INDEX-9
---End Environment---

---Begin OPTIONS List---
---End OPTIONS List---

End Configuration.
FETCH_DEPENDS=
PATCH_DEPENDS=
EXTRACT_DEPENDS=
BUILD_DEPENDS=
RUN_DEPENDS=
add_pkg
================================================================
====================<phase 1: make checksum>====================
===>  License check disabled, port has not defined LICENSE
=> ossec-hids-2.5.1.tar.gz doesn't seem to exist in /tmp/distfiles/.
=> Attempting to fetch from file:///distcache//.
ossec-hids-2.5.1.tar.gz                                723 kB   10 MBps
=> SHA256 Checksum OK for ossec-hids-2.5.1.tar.gz.
================================================================
====================<phase 2: make extract>====================
add_pkg
===>  License check disabled, port has not defined LICENSE
===>  Extracting for ossec-hids-server-2.5.1
=> SHA256 Checksum OK for ossec-hids-2.5.1.tar.gz.
================================================================
====================<phase 3: make patch>====================
add_pkg
===>  Patching for ossec-hids-server-2.5.1
===>  Applying FreeBSD patches for ossec-hids-server-2.5.1
================================================================
====================<phase 4: make build>====================
add_pkg
===>  Configuring for ossec-hids-server-2.5.1
===>  Building for ossec-hids-server-2.5.1
INFO: Little endian set.

 *** Making zlib (by Jean-loup Gailly and Mark Adler)  ***
gcc -c -g -Wall -I../../ -I../../headers   -DUSE_OPENSSL
-DARGV0=\"zlib\" -DXML_VAR=\"var\" -DOSSECHIDS *.c
ar cru libz.a *.o
ranlib libz.a
cp -pr zlib.h zconf.h ../../headers/
cp -pr libz.a ../



 *** Making os_xml ***

gcc -DXML_VAR=\"var\" -g -Wall -I../ -I../headers   -DUSE_OPENSSL
-DARGV0=\"os_xml\" -DXML_VAR=\"var\" -DOSSECHIDS -c os_xml.c
os_xml_access.c os_xml_node_access.c os_xml_variables.c
os_xml_writer.c
ar cru os_xml.a os_xml.o os_xml_access.o os_xml_node_access.o
os_xml_variables.o os_xml_writer.o
ranlib os_xml.a


 *** Making os_regex ***

gcc -g -Wall -I../ -I../headers   -DUSE_OPENSSL
-DARGV0=\"os_regex\" -DXML_VAR=\"var\" -DOSSECHIDS -c *.c -Wall
ar cru os_regex.a *.o
ranlib os_regex.a


 *** Making os_net ***

gcc -g -Wall -I../ -I../headers   -DUSE_OPENSSL     -DARGV0=\"os_net\"
-DXML_VAR=\"var\" -DOSSECHIDS -c os_net.c
ar cru os_net.a os_net.o
ranlib os_net.a


 *** Making os_crypto ***

gcc -g -Wall -I../../ -I../../headers   -DUSE_OPENSSL
-DARGV0=\"blowfish_op\" -DXML_VAR=\"var\" -DOSSECHIDS -c bf_op.c
bf_skey.c bf_enc.c
ar cru bf_op.a bf_op.o bf_skey.o bf_enc.o
ranlib bf_op.a
gcc -g -Wall -I../../ -I../../headers   -DUSE_OPENSSL
-DARGV0=\"md5_op\" -DXML_VAR=\"var\" -DOSSECHIDS -c md5.c md5_op.c
ar cru md5_op.a md5_op.o md5.o
ranlib md5_op.a
gcc -g -Wall -I../../ -I../../headers   -DUSE_OPENSSL
-DARGV0=\"sha1_op\" -DXML_VAR=\"var\" -DOSSECHIDS -c sha1_op.c
ar cru sha1_op.a sha1_op.o
ranlib sha1_op.a
gcc -g -Wall -I../../ -I../../headers   -DUSE_OPENSSL
-DARGV0=\"md5_sha1_op\" -DXML_VAR=\"var\" -DOSSECHIDS -c ../md5/md5.c
md5_sha1_op.c
ar cru md5_op.a md5_sha1_op.o ../md5/md5.o
ranlib md5_op.a
gcc -g -Wall -I../../ -I../../headers   -DUSE_OPENSSL
-DARGV0=\"shared\" -DXML_VAR=\"var\" -DOSSECHIDS -c *.c
ar cru shared.a *.o
ranlib shared.a
ar cru os_crypto.a blowfish/bf_op.o blowfish/bf_skey.o
blowfish/bf_enc.o md5/md5_op.o md5/md5.o sha1/sha1_op.o
md5_sha1/md5_sha1_op.o shared/*.o
ranlib os_crypto.a


 *** Making shared ***

gcc -c -g -Wall -I../ -I../headers   -DUSE_OPENSSL
-DARGV0=\"shared-libs\" -DXML_VAR=\"var\" -DOSSECHIDS *.c
ar cru lib_shared.a *.o
ranlib lib_shared.a


 *** Making config ***

gcc -c -g -Wall -I../ -I../headers   -DUSE_OPENSSL
-DARGV0=\"ossec-config\" -DXML_VAR=\"var\" -DOSSECHIDS *.c
rules-config.c: In function 'Read_Rules':
rules-config.c:62: warning: unused variable 'xml_rules_lists_dir'
ar cru lib_config.a *.o
ranlib lib_config.a


 *** Making os_maild ***

gcc -g -Wall -I../ -I../headers   -DUSE_OPENSSL
-DARGV0=\"ossec-maild\" -DXML_VAR=\"var\" -DOSSECHIDS  maild.c
config.c os_maild_client.c sendmail.c mail_list.c
../config/lib_config.a ../shared/lib_shared.a ../os_net/os_net.a
../os_regex/os_regex.a ../os_xml/os_xml.a -o ossec-maild


 *** Making os_dbd ***

Compiling DB support with:
gcc -g -Wall -I../ -I../headers   -DUSE_OPENSSL
-DARGV0=\"ossec-dbd\" -DXML_VAR=\"var\" -DOSSECHIDS    *.c
../config/lib_config.a ../shared/lib_shared.a ../os_net/os_net.a
../os_regex/os_regex.a ../os_xml/os_xml.a -o ossec-dbd


 *** Making os_csyslogd ***

gcc -g -Wall -I../ -I../headers   -DUSE_OPENSSL
-DARGV0=\"ossec-csyslogd\" -DXML_VAR=\"var\" -DOSSECHIDS  *.c
../config/lib_config.a ../shared/lib_shared.a ../os_net/os_net.a
../os_regex/os_regex.a ../os_xml/os_xml.a -o ossec-csyslogd


 *** Making agentlessd ***

gcc -g -Wall -I../ -I../headers   -DUSE_OPENSSL
-DARGV0=\"ossec-agentlessd\" -DXML_VAR=\"var\" -DOSSECHIDS  *.c
../config/lib_config.a ../shared/lib_shared.a ../os_net/os_net.a
../os_regex/os_regex.a ../os_xml/os_xml.a ../os_crypto/os_crypto.a -o
ossec-agentlessd


 *** Making os_execd ***

gcc -g -Wall -I../ -I../headers   -DUSE_OPENSSL
-DARGV0=\"ossec-execd\" -DXML_VAR=\"var\" -DOSSECHIDS  execd.c exec.c
config.c ../shared/lib_shared.a ../os_net/os_net.a
../os_regex/os_regex.a ../os_xml/os_xml.a -o ossec-execd
gcc -g -Wall -I../ -I../headers   -DUSE_OPENSSL
-DARGV0=\"ossec-execd\" -DXML_VAR=\"var\" -DOSSECHIDS -c execd.c
exec.c config.c


 *** Making analysisd ***

cd ./cdb; make
gcc -I../ -g -Wall -I../../ -I../../headers   -DUSE_OPENSSL
-DARGV0=\"cdb\" -DXML_VAR=\"var\" -DOSSECHIDS -c cdb.c cdb_hash.c
cdb_make.c uint32_pack.c uint32_unpack.c
ar cru cdb.a cdb.o cdb_hash.o cdb_make.o uint32_pack.o uint32_unpack.o
ar cru cdb_make.a cdb.o cdb_hash.o cdb_make.o uint32_pack.o uint32_unpack.o
ranlib cdb.a
ranlib cdb_make.a
cd ./alerts; make
gcc -I../ -g -Wall -I../../ -I../../headers   -DUSE_OPENSSL
-DARGV0=\"alerts\" -DXML_VAR=\"var\" -DOSSECHIDS -c mail.c log.c
exec.c getloglocation.c
ar cru alerts.a mail.o log.o exec.o getloglocation.o
ranlib alerts.a
cd ./decoders; make
cd plugins; make;
gcc -g -Wall -I../../../ -I../../../headers   -DUSE_OPENSSL
-DARGV0=\"ossec-analysisd\" -DXML_VAR=\"var\" -DOSSECHIDS -I../../ -c
*.c
gcc -g -Wall -I../../ -I../../headers   -DUSE_OPENSSL
-DARGV0=\"ossec-analysisd\" -DXML_VAR=\"var\" -DOSSECHIDS -I../ -c *.c
ar cru decoders.a *.o plugins/*.o
ranlib decoders.a
cd ./compiled_rules; make;
./register_rule.sh build
*Build completed.
gcc -g -Wall -I../../ -I../../headers   -DUSE_OPENSSL
-DARGV0=\"ossec-analysisd\" -DXML_VAR=\"var\" -DOSSECHIDS -I../ -c *.c
gcc -g -Wall -I../ -I../headers   -DUSE_OPENSSL
-DARGV0=\"ossec-analysisd\" -DXML_VAR=\"var\" -DOSSECHIDS  -I./
analysisd.c stats.c lists.c lists_list.c rules.c rules_list.c config.c
fts.c dodiff.c eventinfo.c eventinfo_list.c cleanevent.c
active-response.c picviz.c prelude.c compiled_rules/*.o
../config/lib_config.a decoders/decoders.a cdb/cdb.a cdb/cdb_make.a
alerts/alerts.a ../os_xml/os_xml.a ../os_regex/os_regex.a
../os_net/os_net.a ../shared/lib_shared.a ../os_zlib/os_zlib.c
../external/libz.a  -o ossec-analysisd
cd ./cdb; make
gcc -I../ -g -Wall -I../../ -I../../headers   -DUSE_OPENSSL
-DARGV0=\"cdb\" -DXML_VAR=\"var\" -DOSSECHIDS -c cdb.c cdb_hash.c
cdb_make.c uint32_pack.c uint32_unpack.c
ar cru cdb.a cdb.o cdb_hash.o cdb_make.o uint32_pack.o uint32_unpack.o
ar cru cdb_make.a cdb.o cdb_hash.o cdb_make.o uint32_pack.o uint32_unpack.o
ranlib cdb.a
ranlib cdb_make.a
cd ./decoders; make logtest
cd plugins; make;
gcc -g -Wall -I../../../ -I../../../headers   -DUSE_OPENSSL
-DARGV0=\"ossec-analysisd\" -DXML_VAR=\"var\" -DOSSECHIDS -I../../ -c
*.c
gcc -g -Wall -I../../ -I../../headers   -DUSE_OPENSSL
-DARGV0=\"ossec-analysisd\" -DXML_VAR=\"var\" -DOSSECHIDS -DTESTRULE
-I../ -c *.c
ar cru decoders.a *.o plugins/*.o
ranlib decoders.a
cd ./compiled_rules; make;
./register_rule.sh build
*Build completed.
gcc -g -Wall -I../../ -I../../headers   -DUSE_OPENSSL
-DARGV0=\"ossec-analysisd\" -DXML_VAR=\"var\" -DOSSECHIDS -I../ -c *.c
gcc -g -Wall -I../ -I../headers   -DUSE_OPENSSL
-DARGV0=\"ossec-analysisd\" -DXML_VAR=\"var\" -DOSSECHIDS  -DTESTRULE
-I./ testrule.c analysisd.c stats.c lists.c lists_list.c rules.c
rules_list.c config.c fts.c dodiff.c eventinfo.c eventinfo_list.c
cleanevent.c active-response.c picviz.c prelude.c compiled_rules/*.o
../config/lib_config.a decoders/decoders.a cdb/cdb.a cdb/cdb_make.a
alerts/alerts.a ../os_xml/os_xml.a ../os_regex/os_regex.a
../os_net/os_net.a ../shared/lib_shared.a ../os_zlib/os_zlib.c
../external/libz.a  -o ossec-logtest
cd ./cdb; make
gcc -I../ -g -Wall -I../../ -I../../headers   -DUSE_OPENSSL
-DARGV0=\"cdb\" -DXML_VAR=\"var\" -DOSSECHIDS -c cdb.c cdb_hash.c
cdb_make.c uint32_pack.c uint32_unpack.c
ar cru cdb.a cdb.o cdb_hash.o cdb_make.o uint32_pack.o uint32_unpack.o
ar cru cdb_make.a cdb.o cdb_hash.o cdb_make.o uint32_pack.o uint32_unpack.o
ranlib cdb.a
ranlib cdb_make.a
gcc -g -Wall -I../ -I../headers   -DUSE_OPENSSL
-DARGV0=\"ossec-analysisd\" -DXML_VAR=\"var\" -DOSSECHIDS  -DTESTRULE
-I./ makelists.c lists_make.c stats.c lists.c lists_list.c rules.c
rules_list.c config.c fts.c dodiff.c eventinfo.c eventinfo_list.c
cleanevent.c active-response.c picviz.c prelude.c compiled_rules/*.o
../config/lib_config.a decoders/decoders.a cdb/cdb.a cdb/cdb_make.a
alerts/alerts.a ../os_xml/os_xml.a ../os_regex/os_regex.a
../os_net/os_net.a ../shared/lib_shared.a ../os_zlib/os_zlib.c
../external/libz.a   -o ossec-makelists


 *** Making logcollector ***

gcc -g -Wall -I../ -I../headers   -DUSE_OPENSSL
-DARGV0=\"ossec-logcollector\" -DXML_VAR=\"var\" -DOSSECHIDS
-DARGV0=\"ossec-logcollector\" *.c  ../config/lib_config.a
../shared/lib_shared.a ../os_xml/os_xml.a ../os_regex/os_regex.a
../os_net/os_net.a ../os_crypto/os_crypto.a -o ossec-logcollector


 *** Making remoted ***

gcc -g -Wall -I../ -I../headers   -DUSE_OPENSSL
-DARGV0=\"ossec-remoted\" -DXML_VAR=\"var\" -DOSSECHIDS  *.c
../config/lib_config.a ../os_zlib/os_zlib.c ../external/libz.a
../os_crypto/os_crypto.a ../shared/lib_shared.a ../os_net/os_net.a
../os_xml/os_xml.a ../os_regex/os_regex.a -pthread -o ossec-remoted


 *** Making client-agent ***

gcc -g -Wall -I../ -I../headers   -DUSE_OPENSSL
-DARGV0=\"ossec-agentd\" -DXML_VAR=\"var\" -DOSSECHIDS  *.c
../config/lib_config.a ../os_zlib/os_zlib.c ../external/libz.a
../os_crypto/os_crypto.a ../shared/lib_shared.a ../os_xml/os_xml.a
../os_regex/os_regex.a ../os_net/os_net.a -DCLIENT -o ossec-agentd


 *** Making addagent ***

gcc -g -Wall -I../ -I../headers   -DUSE_OPENSSL
-DARGV0=\"manage_agents\" -DXML_VAR=\"var\" -DOSSECHIDS  *.c
../shared/lib_shared.a ../os_regex/os_regex.a ../os_zlib/os_zlib.c
../external/libz.a ../os_crypto/os_crypto.a ../os_net/os_net.a -o
manage_agents


 *** Making util ***

gcc -g -Wall -I../ -I../headers   -DUSE_OPENSSL     -DARGV0=\"util\"
-DXML_VAR=\"var\" -DOSSECHIDS  ../addagent/manage_agents.c
../addagent/manage_keys.c ../addagent/validate.c
../addagent/read_from_user.c ../addagent/b64.c syscheck_update.c
../os_zlib/os_zlib.c ../external/libz.a ../os_crypto/os_crypto.a
../shared/lib_shared.a ../os_regex/os_regex.a ../os_net/os_net.a -o
syscheck_update
gcc -g -Wall -I../ -I../headers   -DUSE_OPENSSL     -DARGV0=\"util\"
-DXML_VAR=\"var\" -DOSSECHIDS  clear_stats.c ../os_zlib/os_zlib.c
../external/libz.a ../os_crypto/os_crypto.a ../shared/lib_shared.a
../os_regex/os_regex.a ../os_net/os_net.a -o clear_stats
gcc -g -Wall -I../ -I../headers   -DUSE_OPENSSL     -DARGV0=\"util\"
-DXML_VAR=\"var\" -DOSSECHIDS  list_agents.c ../os_zlib/os_zlib.c
../external/libz.a ../os_crypto/os_crypto.a ../shared/lib_shared.a
../os_regex/os_regex.a ../os_net/os_net.a -o list_agents
gcc -g -Wall -I../ -I../headers   -DUSE_OPENSSL     -DARGV0=\"util\"
-DXML_VAR=\"var\" -DOSSECHIDS  verify-agent-conf.c
../config/lib_config.a ../os_zlib/os_zlib.c ../external/libz.a
../os_crypto/os_crypto.a ../shared/lib_shared.a ../os_regex/os_regex.a
../os_net/os_net.a ../os_xml/os_xml.a -o verify-agent-conf
gcc -g -Wall -I../ -I../headers   -DUSE_OPENSSL     -DARGV0=\"util\"
-DXML_VAR=\"var\" -DOSSECHIDS  ../addagent/manage_agents.c
../addagent/manage_keys.c ../addagent/validate.c
../addagent/read_from_user.c ../addagent/b64.c agent_control.c
../os_zlib/os_zlib.c ../external/libz.a ../os_crypto/os_crypto.a
../shared/lib_shared.a ../os_regex/os_regex.a ../os_net/os_net.a -o
agent_control
gcc -g -Wall -I../ -I../headers   -DUSE_OPENSSL     -DARGV0=\"util\"
-DXML_VAR=\"var\" -DOSSECHIDS  ../addagent/manage_agents.c
../addagent/manage_keys.c ../addagent/validate.c
../addagent/read_from_user.c ../addagent/b64.c syscheck_control.c
../os_zlib/os_zlib.c ../external/libz.a ../os_crypto/os_crypto.a
../shared/lib_shared.a ../os_regex/os_regex.a ../os_net/os_net.a -o
syscheck_control
gcc -g -Wall -I../ -I../headers   -DUSE_OPENSSL     -DARGV0=\"util\"
-DXML_VAR=\"var\" -DOSSECHIDS  ../addagent/manage_agents.c
../addagent/manage_keys.c ../addagent/validate.c
../addagent/read_from_user.c ../addagent/b64.c rootcheck_control.c
../os_zlib/os_zlib.c ../external/libz.a ../os_crypto/os_crypto.a
../shared/lib_shared.a ../os_regex/os_regex.a ../os_net/os_net.a -o
rootcheck_control
gcc -g -Wall -I../ -I../headers   -DUSE_OPENSSL     -DARGV0=\"util\"
-DXML_VAR=\"var\" -DOSSECHIDS  ossec-regex.c ../os_zlib/os_zlib.c
../external/libz.a ../os_crypto/os_crypto.a ../shared/lib_shared.a
../os_regex/os_regex.a ../os_net/os_net.a -o ossec-regex


 *** Making rootcheck ***

gcc -g -Wall -I../ -I../headers   -DUSE_OPENSSL
-DARGV0=\"ossec-rootcheck\" -DXML_VAR=\"var\" -DOSSECHIDS -c
check_open_ports.c check_rc_pids.c check_rc_trojans.c run_rk_check.c
check_rc_dev.c check_rc_ports.c check_rc_policy.c common.c
common_rcl.c win-common.c unix-process.c check_rc_files.c
check_rc_readproc.c os_string.c check_rc_if.c check_rc_sys.c
rootcheck.c config.c -D_GNU_SOURCE
ar cru rootcheck_lib.a *.o
ranlib rootcheck_lib.a


 *** Making syscheckd ***

gcc -g -Wall -I../ -I../headers   -DUSE_OPENSSL
-DARGV0=\"ossec-syscheckd\" -DXML_VAR=\"var\" -DOSSECHIDS  syscheck.c
config.c seechanges.c run_realtime.c create_db.c run_check.c
../config/lib_config.a ../rootcheck/rootcheck_lib.a
../shared/lib_shared.a ../os_xml/os_xml.a ../os_regex/os_regex.a
../os_net/os_net.a ../os_crypto/os_crypto.a -o ossec-syscheckd


 *** Making monitord ***

gcc -g -Wall -I../ -I../headers   -DUSE_OPENSSL
-DARGV0=\"ossec-monitord\" -DXML_VAR=\"var\" -DOSSECHIDS
compress_log.c main.c manage_files.c monitor_agents.c monitord.c
sign_log.c generate_reports.c ../os_maild/sendcustomemail.c
../config/lib_config.a ../shared/lib_shared.a ../os_net/os_net.a
../os_regex/os_regex.a ../os_xml/os_xml.a ../os_crypto/os_crypto.a
../os_zlib/os_zlib.c ../external/libz.a -o ossec-monitord
gcc -g -Wall -I../ -I../headers   -DUSE_OPENSSL
-DARGV0=\"ossec-monitord\" -DXML_VAR=\"var\" -DOSSECHIDS  -UARGV0
-DARGV0=\"ossec-reportd\" report.c ../config/lib_config.a
../shared/lib_shared.a ../os_net/os_net.a ../os_regex/os_regex.a
../os_xml/os_xml.a ../os_crypto/os_crypto.a ../os_zlib/os_zlib.c
../external/libz.a -o ossec-reportd
cp -pr ossec-maild ../../bin
cp -pr ossec-dbd ../../bin
cp -pr ossec-csyslogd ../../bin
cp -pr ossec-agentlessd ../../bin
cp -pr ossec-execd ../../bin
cp -pr ossec-analysisd ../../bin
cp -pr ossec-logtest ../../bin
cp -pr ossec-makelists ../../bin
cp -pr ossec-logcollector ../../bin
cp -pr ossec-remoted ../../bin
cp -pr ossec-agentd ../../bin
cp -pr manage_agents ../../bin
cp -pr manage_agents ../../bin
cp -pr syscheck_update clear_stats list_agents syscheck_control
rootcheck_control agent_control verify-agent-conf ossec-regex
../../bin
cp -pr ossec-syscheckd ../../bin
cp -pr ossec-monitord ../../bin
cp -pr ossec-reportd ../../bin
================================================================
====================<phase 5: make test>====================
make: don't know how to make regression-test(continuing)
1 error
================================================================
====================<phase 6: make install>====================
add_pkg
===>  Installing for ossec-hids-server-2.5.1
===>   Generating temporary packing list
===>  Checking if security/ossec-hids-server already installed
cd /work/a/ports/security/ossec-hids-server/work/ossec-hids-2.5.1 &&
install  -o root -g wheel -m 444 BUGS CONFIG CONTRIBUTORS INSTALL
LICENSE README /usr/local/share/doc/ossec-hids
After installation, you need to edit the ossec.conf file to reflect
the correct settings
for your environment.  All the files related to ossec-hids have been
installed in
/usr/local/ossec-hids and its subdirectories.

For information on proper configuration, see http://www.ossec.net/.

To enable the startup script, add ossechids_enable="YES" to /etc/rc.conf.
To enable database output, execute:

/usr/local/ossec-hids/bin/ossec-control enable database

Then check this tutorial:

http://www.ossec.net/wiki/index.php/Know_How:DatabaseOutput

When you deinstall this port after starting the daemons once, many
directories that are
created by the daemons will remain.  To fully remove the port you need
to delete those
directories manually.
To further enhance the security on your system, you may also enable some checks
in PAM for a fast reaction against intrusions.
===> Installing rc.d startup script(s)
===>   Registering installation for ossec-hids-server-2.5.1
===> SECURITY REPORT:
      This port has installed the following files which may act as network
      servers and may therefore pose a remote security risk to the system.
/usr/local/ossec-hids/bin/verify-agent-conf
/usr/local/ossec-hids/bin/manage_agents
/usr/local/ossec-hids/bin/ossec-agentd
/usr/local/ossec-hids/bin/agent_control
/usr/local/ossec-hids/bin/ossec-dbd
/usr/local/ossec-hids/bin/list_agents
/usr/local/ossec-hids/bin/rootcheck_control
/usr/local/ossec-hids/bin/ossec-makelists
/usr/local/ossec-hids/bin/ossec-monitord
/usr/local/ossec-hids/bin/ossec-analysisd
/usr/local/ossec-hids/bin/syscheck_update
/usr/local/ossec-hids/bin/ossec-logtest
/usr/local/ossec-hids/bin/ossec-csyslogd
/usr/local/ossec-hids/bin/ossec-syscheckd
/usr/local/ossec-hids/bin/ossec-logcollector
/usr/local/ossec-hids/bin/ossec-maild
/usr/local/ossec-hids/bin/ossec-remoted
/usr/local/ossec-hids/bin/ossec-execd
/usr/local/ossec-hids/bin/ossec-agentlessd
/usr/local/ossec-hids/bin/syscheck_control

      This port has installed the following startup scripts which may cause
      these network services to be started at boot time.
/usr/local/etc/rc.d/ossec-hids

      If there are vulnerabilities in these programs there may be a security
      risk to the system. FreeBSD makes no guarantee about the security of
      ports included in the Ports Collection. Please type 'make deinstall'
      to deinstall the port if this is a concern.

      For more information, and contact details about the security
      status of this software, see the following webpage:
http://www.ossec.net/
================================================================
====================<phase 7: make package>====================
===>  Building package for ossec-hids-server-2.5.1
tar: ossec-hids/active-response/bin/default-firewall-drop.sh: Cannot
stat: No such file or directory
tar: ossec-hids/etc/localtime: Cannot stat: No such file or directory
tar: Error exit delayed from previous errors.
pkg_create: make_dist: tar command failed with code 256
*** Error code 1

Stop in /a/ports/security/ossec-hids-server.
Deleting ossec-hids-server-2.5.1
pkg_delete: file
'/usr/local/ossec-hids/active-response/bin/default-firewall-drop.sh'
doesn't exist
pkg_delete: file '/usr/local/ossec-hids/etc/localtime' doesn't exist
pkg_delete: couldn't entirely delete package (perhaps the packing list is
incorrectly specified?)

=== Checking filesystem state

=== Checking filesystem state after all packages deleted
cmp: EOF on /etc/group-save
=== /etc/group was modified:
--- /etc/group-save	2010-12-13 00:15:06.000000000 +0000
+++ /etc/group	2010-12-13 00:15:48.000000000 +0000
@@ -29,3 +29,4 @@
 www:*:80:
 nogroup:*:65533:
 nobody:*:65534:
+ossec:*:1001:
cmp: EOF on /etc/master.passwd-save
=== /etc/master.passwd was modified:
--- /etc/master.passwd-save	2010-12-13 00:15:06.000000000 +0000
+++ /etc/master.passwd	2010-12-13 00:15:48.000000000 +0000
@@ -21,3 +21,6 @@
 pop:*:68:6::0:0:Post Office Owner:/nonexistent:/usr/sbin/nologin
 www:*:80:80::0:0:World Wide Web Owner:/nonexistent:/usr/sbin/nologin
 nobody:*:65534:65534::0:0:Unprivileged user:/nonexistent:/usr/sbin/nologin
+ossec:*:1001:1001::0:0:User &:/usr/local/ossec-hids:/sbin/nologin
+ossecm:*:1002:1001::0:0:User &:/usr/local/ossec-hids:/sbin/nologin
+ossecr:*:1003:1001::0:0:User &:/usr/local/ossec-hids:/sbin/nologin
================================================================
build of /usr/ports/security/ossec-hids-server ended at Mon Dec 13
00:15:56 UTC 2010
Comment 5 laza_bsd 2010-12-13 16:22:01 UTC
Il 12/13/2010 01:19 AM, wen heping ha scritto:
> Hi,
> 
>    The build failed on my box, would you check it again and fix the build ?
> 
> wen
> 
> 
> 
> Here is the build log:
> 
> building ossec-hids-server-2.5.1 in directory /usr/local/tinderbox/9.0-FreeBSD
> build started at Mon Dec 13 00:15:06 UTC 2010
> port directory: /usr/ports/security/ossec-hids-server
> building for:  9.0-CURRENT i386
[....]
> ================================================================
> ====================<phase 5: make test>====================
> make: don't know how to make regression-test(continuing)
> 1 error
this I don't know how to fix :-)
> ================================================================
> ====================<phase 6: make install>====================
> add_pkg
> ===>  Installing for ossec-hids-server-2.5.1
> ====================<phase 7: make package>====================
> ===>  Building package for ossec-hids-server-2.5.1
> tar: ossec-hids/active-response/bin/default-firewall-drop.sh: Cannot
> stat: No such file or directory
> tar: ossec-hids/etc/localtime: Cannot stat: No such file or directory
> tar: Error exit delayed from previous errors.
> pkg_create: make_dist: tar command failed with code 256
> *** Error code 1

fixed, I've  attached the modified patch.

Ciao Marco


-- 
Re Marco(Laza) (CBR 954 & Clito 16 Vulve)
http://www.laza.it/
Mailer-daemon is busy burning your message in hell.
Comment 6 dfilter service freebsd_committer 2010-12-14 00:41:14 UTC
wen         2010-12-14 00:41:09 UTC

  FreeBSD ports repository

  Modified files:
    security/ossec-hids-server Makefile distinfo pkg-plist 
  Log:
  - Update to 2.5.1
  
  PR:             ports/152169
  Submitted by:   Marco Re <laza_bsd@laza.it>
  Approved by:    maintainer(timeout, >30 days)
  
  Revision  Changes    Path
  1.12      +2 -3      ports/security/ossec-hids-server/Makefile
  1.8       +2 -3      ports/security/ossec-hids-server/distinfo
  1.10      +2 -0      ports/security/ossec-hids-server/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Wen Heping freebsd_committer 2010-12-14 00:42:44 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!